Ethercat Installation on Debian 10 (from 2.8.2 PREEMT Buster Iso)

More
22 Oct 2021 09:49 #223895 by db1981
hmm,

hat mit dem sudo nichts zu tun. Habe gerade frisch geclont und das skript ausgeführt ohne Probleme.
Hängt da evtl. ein Proxy oder ne dicke firewall dazwischen? vom skript her kann das nicht kommen, da läuft alles, gerade getestet.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 09:54 #223897 by db1981
bitte mal den output von "hg config" posten.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 10:36 - 22 Oct 2021 10:53 #223899 by Schaumstofffräsnewbie
In dem Bild sieht man die Fehlermeldung, die ich vorhin meinte und den Output von hg config
Attachments:
Last edit: 22 Oct 2021 10:53 by Schaumstofffräsnewbie.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 10:58 #223901 by db1981
bei dem fehler oben waren wohl die kernel header noch nicht nachinstalliert.

der 403 error muss irgendwas mit Firewall oder davor liegendem server zu tun haben, da wird irgendwie http geblockt.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 11:05 - 22 Oct 2021 11:15 #223902 by Schaumstofffräsnewbie
habe mit
$ sudo apt-get install linux-headers-$(uname -r)
die kernel headers nachinstalliert.. sagt immer noch, dass dpkg-parselog als Kommando nicht gefunden wird..

Oder muss ich mir das github.com/sittner/ec-debianize nicht mit git ziehen sondern mit nem hg Befehl? Das ändert wahrscheinlich nichts, was?
Last edit: 22 Oct 2021 11:15 by Schaumstofffräsnewbie.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 11:31 #223907 by db1981
das verstehe ich im moment nicht, vorhin ist das doch gelaufen...

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 11:34 - 22 Oct 2021 11:38 #223908 by db1981
bitte mal checken ob du immer noch kernel 4.19-17 rt preempt hast (uname -a).

wenn ja können wir das temporär abkürzen.

github.com/dbraun1981/lcec_ec_master gibt es 3 deb files.

die bitte mit "sudo dpkg -i " installieren. Mal schauen ob das geht...
Last edit: 22 Oct 2021 11:38 by db1981.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 12:11 - 22 Oct 2021 12:12 #223909 by Schaumstofffräsnewbie
uname -a spuckt bei mir 4.19.0-17 rt aus
bei dem versuch mit den Paketen kommt das im Bild... laut dem, was der da sagt fehlen mir ja ein paar Pakete oder es sind welche defekt..
Attachments:
Last edit: 22 Oct 2021 12:12 by Schaumstofffräsnewbie.

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 12:23 #223910 by db1981
hmm, das ist irgendwas kaputt , du hast kein dkms und das install kommando ist defekt, der sagt auch das die header fehlen...

zuerst mal "sudo apt --fix-broken install"

danach mal sudo "apt-get update", und dann "sudo apt-get upgrade"

Please Log in or Create an account to join the conversation.

More
22 Oct 2021 12:39 #223911 by Schaumstofffräsnewbie
das sudo apt --fix-broken install hab ich in der Zwischenzeit gemacht, hab allerdings gleich danach über cd ec-debianize das ./get_source.sh gemacht. Kommt da das bei raus?
Attachments:

Please Log in or Create an account to join the conversation.

Time to create page: 0.100 seconds
Powered by Kunena Forum